/* This file is part of David Deaven's personal library.
 * Copyright (c) 1994 David Deaven
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: cross.c,v 1.3 1996/01/29 15:21:26 deaven Exp $
 * $Author: deaven $
 */

#include "tools.h"

void Cross(double u[3], double v[3], double w[3])
{
      w[0]=u[1]*v[2]-v[1]*u[2];
      w[1]=-u[0]*v[2]+v[0]*u[2];
      w[2]=u[0]*v[1]-v[0]*u[1];
}

